#VU63402 XML External Entity injection


Published: 2022-05-18

Vulnerability identifier: #VU63402

Vulnerability risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-30971

CWE-ID: CWE-611

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Storable Configs
Web applications / Modules and components for CMS

Vendor: Jenkins

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to insufficient validation of user-supplied XML input. A remote user can pass a specially crafted XML code to the affected application and view contents of arbitrary files on the system or initiate requests to external systems.

Successful exploitation of the vulnerability may allow an attacker to view contents of arbitrary file on the server or perform network scanning of internal and external infrastructure.

Mitigation
Cybersecurity Help is currently unaware of any official solution to address this vulnerability.

Vulnerable software versions

Storable Configs: 1.0


CPE

External links
http://jenkins.io/security/advisory/2022-05-17/


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability